# Start comparison job

Source: https://holofolder.com/app/docs/reference/prices-and-insights/start-comparison-job

POST https://app.holofolder.com/app/api/v1/comparison-jobs

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "start_comparison_job",
  "summary": "Start comparison job",
  "description": "App-only: starting background comparisons through REST or MCP returns ui_only. Read, inspect and cancel existing jobs instead.\n\nRequired permissions: `prices:refresh`. MCP tool: `start_comparison_job`.",
  "tags": [
    "Prices and insights"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [
    {
      "name": "Idempotency-Key",
      "in": "header",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 8,
        "maxLength": 100
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$schema": "https://json-schema.org/draft/2020-12/schema",
          "type": "object",
          "properties": {
            "cards": {
              "minItems": 1,
              "maxItems": 100,
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "cardId": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 200
                  },
                  "finish": {
                    "type": "string",
                    "enum": [
                      "normal",
                      "holo",
                      "reverse_holo",
                      "any"
                    ]
                  }
                },
                "required": [
                  "cardId",
                  "finish"
                ],
                "additionalProperties": false
              }
            },
            "confirmed": {
              "type": "boolean"
            }
          },
          "required": [
            "cards",
            "confirmed"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
